---
title: "transient state api"
description: "transient state API provides some besic functions and values for current os."
---

# [Available APIs](../) >> transient state

<!-- vim-markdown-toc GFM -->

- [Intro](#intro)
- [functions](#functions)

<!-- vim-markdown-toc -->

## Intro

transient state api provides functions for defining transient state key bindings. For example, the
buffer transient state key binding (`SPC b .`).

## functions

| name          | description                         |
| ------------- | ----------------------------------- |
| `defind_keys` | define transient state key bindings |
